Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Export spare-part-references

Prev Next
Get
/inventory/productModelSparePartDefinitionReferences/export

Returns a CSV file containing spare parts references, i.e. the links between the spare parts and the product-models that use them, optionally restricted to a single productModelId or productModelPartId.
The generated file uses the same format accepted by the import API, therefore it can be downloaded, edited and uploaded back in order to bulk-update the bill of materials.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Query parameters
productModelId
string

Condition on product-model id.

Exampleabcd1234
productModelPartId
string

Condition on product-model-part id.

Exampleabcd1234
Responses
200

Export succeeded. Returns the content of a CSV file.
Headers: Spare Part Code,Quantity,Group,Model Part,Technical Scheme Position

string
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error